# pandas.DatetimeIndex.indexer_between_time

`DatetimeIndex.``indexer_between_time`(start_time, end_time, include_start=True, include_end=True)

  Select values between particular times of day (e.g., 9:00-9:30AM).

  Return values of the index between two times. If start_time or end_time are strings then tseries.tools.to_time is used to convert to a time object.

  Parameters:

  start_time, end_time : datetime.time, str

  > datetime.time or string in appropriate format (“%H:%M”, “%H%M”, “%I:%M%p”, “%I%M%p”, “%H:%M:%S”, “%H%M%S”, “%I:%M:%S%p”, “%I%M%S%p”)

  include_start : boolean, default True

  include_end : boolean, default True

  Returns: | values_between_time : TimeSeries

Scroll To Top